Prepare Bloomreach Experience Manager v14 Project for Upgrade to v15 - Bloomreach Experience Manager (PaaS/Self-Hosted) - The Fast and Flexible Headless CMS

Prepare Bloomreach Experience Manager v14 Project for Upgrade to v15

Delivery API v0.9 Support Dropped

Support for Delivery API v0.9 has been removed in Bloomreach Experience Manager v15. If your project makes use of headless delivery and is still using v0.9 of the Delivery API, we strongly recommend migrating your project to using Delivery API v1.0 before starting the major upgrade to Bloomreach Experience Manager v15, rather than combining the API upgrade with the product upgrade.

Camunda Support Dropped

In Bloomreach Experience Manager v15, we have dropped support for the Camunda Business Process Management (BPM) application, which was only used in combination with the Projects feature, and which was no longer required since Bloomreach Experience Manager v14.2. If your project is still using Camunda, you must move off it as a preparatory step of the major upgrade to v15. For this, your project should be on Bloomreach Experience Manager v14.2 or later, and you can then use the instructions on how to remove Camunda. There is also a page on how to use the Projects feature without Camunda. Even if the Camunda integration may still work in Bloomreach Experience Manager v15, Bloomreach expects to remove that code before the next major release, and therefore, moving off Camunda is a mandatory (preparatory) part of the upgrade to v15.

On top of the instructions above, make sure to understand and apply the recommendations for "Fitness for upgrade" of our generic upgrade instructions.

Did you find this page helpful?
How could this documentation serve you better?
On this page
    Did you find this page helpful?
    How could this documentation serve you better?